baseurl = "https://rohanverma.net/" # Controls base URL sitewide
languageCode = "en-US" # Controls site language
title = "Rohan Verma" # Homepage title and page title suffix
paginate = 11 # Number of posts to show before paginating
disqusShortname = "rhnvrm"
googleAnalytics = "UA-90695618-1"

# Controls default theme and theme components
theme = [
  "fractal-forest",
  "after-dark"
]

disableLiveReload = false # Optional, set true to disable live reload
enableRobotsTXT = true # Suggested, enable robots.txt file

pygmentsCodefences = true # Suggested, highlight fenced code blocks
pygmentsUseClasses = true # Required for custom syntax highlighting

sectionPagesMenu = "main" # Enable menu system for lazy bloggers
footnoteReturnLinkContents = "↩" # Provides a nicer footnote return link

[params]
  description = "My Website" # Suggested, controls default description meta
  author = "Rohan Verma" # Optional, controls author name display on posts
  hide_author = false # Optional, set true to hide author name on posts
  has_cookies = true # Optional, set true to disable cookie disclaimer
  disable_csp = false # Optional, set true to disable content security policy
  images = [
    "https://rohanverma.net/wp-content/uploads/avatar.jpg"
  ] # Suggested, controls default Open Graph images

[params.layout.menu.main]
  hidden = false # Optional, set false or remove to show section menu
  exclude = ["search", "blog_list", "project_list"] # exclude homepage and blog postings

[[menu.main]]
  name = "Home"
  identifier = "home"
  url = "/"
  weight = 1

[[menu.main]]
  name = "Blog"
  identifier = "blog"
  url = "/blog"
  weight = 0


[[menu.utility]]
  name = "@rhnvrm"
  weight = 1
  identifier = "tweet"
  url = "https://twitter.com/rhnvrm"

[[menu.utility]]
  name = "Email"
  weight = 1
  identifier = "email"
  url = "mailto:hello@rohanverma.net"

[[menu.utility]]
  name = "Search"
  identifier = "search"
  url = "/search/"
  post = "<svg aria-hidden=\"true\" class=\"i-search\" viewBox=\"0 0 32 32\" width=\"10\" height=\"10\" fill=\"none\" stroke=\"currentcolor\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-width=\"3\"><circle cx=\"14\" cy=\"14\" r=\"12\" /><path d=\"M23 23 L30 30\" /></svg>"

[params.modules.fractal_forest]
  enabled = true # Optional, set false to disable module
  decoders = ["bpgdec8a"] # Optional, 8-bit javascript decoder with animation

[params.hackcss]
  mode = "hack"
  palette = "light"

[outputs]
  home = ["HTML", "RSS", "JSON"]
